public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mikle Kolyada" <zlogene@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/p11-kit/
Date: Sat, 25 Jan 2020 14:24:23 +0000 (UTC)	[thread overview]
Message-ID: <1579962258.ff9411617644550561108552c065fb1ab9af46e0.zlogene@gentoo> (raw)

commit:     ff9411617644550561108552c065fb1ab9af46e0
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 25 14:23:33 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Jan 25 14:24:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff941161

app-crypt/p11-kit: Version bump (v0.23.19)

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-crypt/p11-kit/Manifest               |  1 +
 app-crypt/p11-kit/p11-kit-0.23.19.ebuild | 60 ++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/app-crypt/p11-kit/Manifest b/app-crypt/p11-kit/Manifest
index 667db7b900a..0609cd03698 100644
--- a/app-crypt/p11-kit/Manifest
+++ b/app-crypt/p11-kit/Manifest
@@ -1,3 +1,4 @@
 DIST p11-kit-0.23.12.tar.gz 1257028 BLAKE2B 8add003ad298b7c4548c40f863835e9aae4234a66a4b216149be7c473f2b3b7ffb633b95883d58e5b039c974dd8571e56e23f6dcc77e484672605e6178d75ad2 SHA512 ae43b1f6ba5400cf5ae7b64b8c93aa47e5c7ee927196828600fd88beb6fdf6bcb6a63bc822d356757255638f9fbf10896e0604e32a1332a9a833836fa0468726
 DIST p11-kit-0.23.16.1.tar.gz 1292783 BLAKE2B 60be56656156c86d6f0f3285bd691ed85ec1a992e8a789f0f21f9ada172a8cab0581cc42f89c3079a1bd7b3493f0d38cd952711fda50c2e80bf96e94fcd9ff87 SHA512 7d0bbd793b43dba081054b4d022a8dbd1d477a3bd6aced72a641087023cf020f1d898899a08e737880e6c810f924814c62497c5ecb19f8322cde42667426a9a7
 DIST p11-kit-0.23.18.1.tar.gz 1305755 BLAKE2B 6d453fad0f4b42e3ae583e76bd206377fd30dd32d98dda94ba3b2fe505cde4c3e05410e685ebe9e8e2f6cae7da3cbd2b78203cae64b8c000b1a2f2ec2a902c4c SHA512 941996aea75025dad5dfc6f9b4609bc92bc0888d5b2b58de0d498d6cf75d059421405d9c3bad51122108b6ad1e41e434609ead23404efe635cdb806836ccadbd
+DIST p11-kit-0.23.19.tar.xz 822652 BLAKE2B c1750e2d0b8ebdfcf70695259401a029b2d5739d8222c37f128f94f8a4313321956e120dcba5c7cb882d16e1a6b12398f9dfa88ef601e826f0dfec5acbf438c8 SHA512 1a7feb2c14381f2ca87386b6a81f46cfb27ccce70ad87a2fc86726e2827b49971958e40c4fc54df01df7570d82058afe82d21c5b3c59fb8310aa641d3b370da2

diff --git a/app-crypt/p11-kit/p11-kit-0.23.19.ebuild b/app-crypt/p11-kit/p11-kit-0.23.19.ebuild
new file mode 100644
index 00000000000..4a9b986476e
--- /dev/null
+++ b/app-crypt/p11-kit/p11-kit-0.23.19.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="Provides a standard configuration setup for installing PKCS#11"
+HOMEPAGE="https://p11-glue.github.io/p11-glue/p11-kit.html"
+SRC_URI="https://github.com/p11-glue/p11-kit/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asn1 debug +libffi +trust"
+REQUIRED_USE="trust? ( asn1 )"
+
+RDEPEND="asn1? ( >=dev-libs/libtasn1-3.4:=[${MULTILIB_USEDEP}] )
+	libffi? ( >=virtual/libffi-3.0.0:=[${MULTILIB_USEDEP}] )
+	trust? ( app-misc/ca-certificates )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+pkg_setup() {
+	# disable unsafe tests, bug#502088
+	export FAKED_MODE=1
+}
+
+src_prepare() {
+	if [[ ${CHOST} == *-solaris2.* && ${CHOST##*-solaris2.} -lt 11 ]] ; then
+		# Solaris 10 and before doesn't know about XPG7 (XOPEN_SOURCE=700)
+		# drop to XPG6 to make feature_tests.h happy
+		sed -i -e '/define _XOPEN_SOURCE/s/700/600/' common/compat.c || die
+		# paths.h isn't available, oddly enough also not used albeit included
+		sed -i -e '/#include <paths.h>/d' trust/test-trust.c || die
+		# we don't have SUN_LEN here
+		sed -i -e 's/SUN_LEN \(([^)]\+)\)/strlen (\1->sun_path)/' \
+			p11-kit/server.c || die
+	fi
+	default
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable trust trust-module) \
+		$(use_with trust trust-paths ${EPREFIX}/etc/ssl/certs/ca-certificates.crt) \
+		$(use_enable debug) \
+		$(use_with libffi) \
+		$(use_with asn1 libtasn1)
+
+	if multilib_is_native_abi; then
+		# re-use provided documentation
+		ln -s "${S}"/doc/manual/html doc/manual/html || die
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2020-01-25 14:24 UTC|newest]

Thread overview: 97+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-25 14:24 Mikle Kolyada [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-17  3:06 [gentoo-commits] repo/gentoo:master commit in: app-crypt/p11-kit/ Sam James
2024-10-07 17:05 James Le Cuirot
2024-10-07  2:52 Sam James
2024-05-01  5:28 Joonas Niilola
2024-04-16  5:34 Joonas Niilola
2024-04-16  5:34 Joonas Niilola
2024-04-15  8:17 Sam James
2024-04-15  8:17 Sam James
2024-04-15  8:17 Sam James
2024-04-15  8:17 Sam James
2024-04-15  8:07 Sam James
2024-01-02 17:44 Ben Kohler
2023-11-23 22:50 Sam James
2023-11-15 17:13 Sam James
2023-09-09 21:02 Sam James
2023-09-09 21:02 Sam James
2023-09-09 17:40 Arthur Zamarin
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 17:13 Sam James
2023-09-09 13:17 David Seifert
2023-08-14  6:32 Joonas Niilola
2023-07-06  7:48 Sam James
2023-06-30  9:39 Sam James
2023-06-29 12:35 Sam James
2023-05-05 10:14 Sam James
2023-02-26 19:52 Arthur Zamarin
2023-02-26 19:52 Arthur Zamarin
2023-02-26 19:51 Arthur Zamarin
2023-02-24 20:11 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2023-02-24 19:58 Arthur Zamarin
2022-02-01 19:50 Mikle Kolyada
2022-02-01 19:50 Mikle Kolyada
2021-06-12 18:50 Mikle Kolyada
2021-01-06 12:55 Fabian Groffen
2020-12-16 19:14 Mikle Kolyada
2020-12-16 19:14 Mikle Kolyada
2020-12-16 19:14 Mikle Kolyada
2020-09-17 10:10 Mikle Kolyada
2020-08-20  7:26 Mikle Kolyada
2020-02-25 11:52 Mikle Kolyada
2020-02-25 11:45 Mikle Kolyada
2020-02-05  3:43 Mikle Kolyada
2020-01-25 14:27 Mikle Kolyada
2020-01-25 14:27 Mikle Kolyada
2020-01-09  9:58 Mikle Kolyada
2020-01-08 20:40 Mikle Kolyada
2019-06-28 23:23 Alon Bar-Lev
2019-05-06 17:27 Alon Bar-Lev
2019-05-05 10:52 Mikle Kolyada
2019-01-09 20:31 Sergei Trofimovich
2018-12-30 21:27 Mikle Kolyada
2018-12-27 18:48 Fabian Groffen
2018-10-06 17:24 Alon Bar-Lev
2018-09-26 20:49 Sergei Trofimovich
2018-09-07 21:08 Alon Bar-Lev
2018-09-07 20:23 Matt Turner
2018-08-30 20:07 Markus Meier
2018-08-19  7:26 Matt Turner
2018-08-18 22:31 Sergei Trofimovich
2018-08-18 22:24 Sergei Trofimovich
2018-08-16  0:39 Thomas Deutschmann
2018-08-15  2:58 Mikle Kolyada
2018-07-28  1:00 Mikle Kolyada
2018-06-20 18:19 Alon Bar-Lev
2018-05-08 22:29 Matt Turner
2018-04-28  7:14 Mikle Kolyada
2018-04-23  1:53 Matt Turner
2018-04-23  1:53 Matt Turner
2018-04-22  6:33 Matt Turner
2018-04-21 20:11 Sergei Trofimovich
2018-04-20  1:28 Aaron Bauman
2018-04-19 22:20 Alon Bar-Lev
2017-11-15 15:01 Fabian Groffen
2017-11-14 19:56 Alon Bar-Lev
2017-06-02 23:19 Tim Harder
2017-03-25 18:11 Alon Bar-Lev
2017-03-08  4:02 Tim Harder
2017-02-04  1:31 Alon Bar-Lev
2017-01-18 14:52 Alon Bar-Lev
2017-01-17 14:24 Agostino Sarubbo
2017-01-11 10:35 Agostino Sarubbo
2017-01-03 10:38 Agostino Sarubbo
2017-01-02  9:54 Agostino Sarubbo
2017-01-01 12:43 Agostino Sarubbo
2016-09-26 12:36 Agostino Sarubbo
2016-08-17  4:01 Jeroen Roovers
2016-06-21 18:26 Markus Meier
2016-06-13 17:01 Tobias Klausmann
2016-06-12 13:41 Alon Bar-Lev
2015-12-23 13:50 Alon Bar-Lev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1579962258.ff9411617644550561108552c065fb1ab9af46e0.zlogene@gentoo \
    --to=zlogene@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox